diff --git a/doc/src/sgml/ref/create_conversion.sgml b/doc/src/sgml/ref/create_conversion.sgml
index eacd0d5..e42acd5 100644
--- a/doc/src/sgml/ref/create_conversion.sgml
+++ b/doc/src/sgml/ref/create_conversion.sgml
@@ -8,7 +8,7 @@
 
  <refnamediv>
   <refname>CREATE CONVERSION</refname>
-  <refpurpose>define a new conversion</refpurpose>
+  <refpurpose>define a new encoding conversion</refpurpose>
  </refnamediv>
 
  <indexterm zone="sql-createconversion">
@@ -26,10 +26,12 @@ CREATE [DEFAULT] CONVERSION <replaceable>name</replaceable>
   <title>Description</title>
 
   <para>
-   <command>CREATE CONVERSION</command> defines a new encoding
-   conversion.  Conversion names may be used in the <function>convert</function> function
+   <command>CREATE CONVERSION</command> defines a new conversion between
+   character set encodings.  Conversion names may be used in the
+   <function>convert</function> function
    to specify a particular encoding conversion.  Also, conversions that
-   are marked <literal>DEFAULT</> can be used for automatic encoding conversion between
+   are marked <literal>DEFAULT</> can be used for automatic encoding
+   conversion between
    client and server. For this purpose, two conversions, from encoding A to
    B <emphasis>and</emphasis> from encoding B to A, must be defined.
  </para>
@@ -109,7 +111,7 @@ conv_proc(
     integer,  -- source encoding ID
     integer,  -- destination encoding ID
     cstring,  -- source string (null terminated C string)
-    cstring,  -- destination string (null terminated C string)
+    internal, -- destination (fill with a null terminated C string)
     integer   -- source string length
 ) RETURNS void;
 </programlisting>
diff --git a/doc/src/sgml/ref/create_domain.sgml b/doc/src/sgml/ref/create_domain.sgml
index 9f5344b..60dcedd 100644
--- a/doc/src/sgml/ref/create_domain.sgml
+++ b/doc/src/sgml/ref/create_domain.sgml
@@ -167,8 +167,8 @@ where <replaceable class="PARAMETER">constraint</replaceable> is:
 <programlisting>
 CREATE DOMAIN us_postal_code AS TEXT
 CHECK(
-   VALUE ~ '^\d{5}$'
-OR VALUE ~ '^\d{5}-\d{4}$'
+   VALUE ~ '^\\d{5}$'
+OR VALUE ~ '^\\d{5}-\\d{4}$'
 );
 
 CREATE TABLE us_snail_addy (
diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index 4806d04..a3dd404 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -732,7 +732,7 @@ CREATE TABLE films (
 
 <programlisting>
 CREATE TABLE distributors (
-    did     integer CHECK (did > 100),
+    did     integer CHECK (did &gt; 100),
     name    varchar(40)
 );
 </programlisting>
@@ -745,7 +745,7 @@ CREATE TABLE distributors (
 CREATE TABLE distributors (
     did     integer,
     name    varchar(40)
-    CONSTRAINT con1 CHECK (did > 100 AND name &lt;&gt; '')
+    CONSTRAINT con1 CHECK (did &gt; 100 AND name &lt;&gt; '')
 );
 </programlisting>
   </para>
diff --git a/doc/src/sgml/ref/createuser.sgml b/doc/src/sgml/ref/createuser.sgml
index 55902a4..2f1be77 100644
--- a/doc/src/sgml/ref/createuser.sgml
+++ b/doc/src/sgml/ref/createuser.sgml
@@ -68,8 +68,10 @@ PostgreSQL documentation
       <term><replaceable class="parameter">username</replaceable></term>
       <listitem>
        <para>
-	Specifies the name of the <productname>PostgreSQL</productname> user to be created. 
-	This name must be unique among all <productname>PostgreSQL</productname> users.
+        Specifies the name of the <productname>PostgreSQL</productname> user
+        to be created.
+        This name must be unique among all users of this
+        <productname>PostgreSQL</productname> installation.
        </para>
       </listitem>
      </varlistentry>  
@@ -290,7 +292,7 @@ PostgreSQL documentation
     server:
 <screen>
 <prompt>$ </prompt><userinput>createuser joe</userinput>
-<computeroutput>Is the new user allowed to create databases? (y/n) </computeroutput><userinput>n</userinput>
+<computeroutput>Shall the new user be allowed to create databases? (y/n) </computeroutput><userinput>n</userinput>
 <computeroutput>Shall the new user be allowed to create more new users? (y/n) </computeroutput><userinput>n</userinput>
 <computeroutput>CREATE USER</computeroutput>
 </screen>
@@ -301,11 +303,28 @@ PostgreSQL documentation
     server on host <literal>eden</>, port 5000, avoiding the prompts and
     taking a look at the underlying command:
 <screen>
-<prompt>$ </prompt><userinput>createuser -p 5000 -h eden -D -A -e joe</userinput>
-<computeroutput>CREATE USER "joe" NOCREATEDB NOCREATEUSER</computeroutput>
+<prompt>$ </prompt><userinput>createuser -h eden -p 5000 -D -A -e joe</userinput>
+<computeroutput>CREATE USER joe NOCREATEDB NOCREATEUSER;</computeroutput>
 <computeroutput>CREATE USER</computeroutput>
 </screen>
    </para>
+
+   <para>
+    To create the user <literal>joe</literal> as a superuser,
+    and assign a password immediately:
+<screen>
+<prompt>$ </prompt><userinput>createuser -P -d -a -e joe</userinput>
+<computeroutput>Enter password for new user: </computeroutput><userinput>xyzzy</userinput>
+<computeroutput>Enter it again: </computeroutput><userinput>xyzzy</userinput>
+<computeroutput>CREATE USER joe PASSWORD 'xyzzy' CREATEDB CREATEUSER;</computeroutput>
+<computeroutput>CREATE USER</computeroutput>
+</screen>
+    In the above example, the new password isn't actually echoed when typed,
+    but we show what was typed for clarity.  However the password
+    <emphasis>will</> appear in the echoed command, as illustrated &mdash;
+    so you don't want to use <literal>-e</> when assigning a password, if
+    anyone else can see your screen.
+   </para>
  </refsect1>
 
 
diff --git a/doc/src/sgml/ref/initdb.sgml b/doc/src/sgml/ref/initdb.sgml
index 47f29b7..a71d669 100644
--- a/doc/src/sgml/ref/initdb.sgml
+++ b/doc/src/sgml/ref/initdb.sgml
@@ -43,34 +43,23 @@ PostgreSQL documentation
   </para>
 
   <para>
-   Creating a database cluster consists of creating the directories in which
-   the database data will live, generating the shared catalog tables 
-   (tables that belong to the whole cluster rather than to any particular
-   database), and creating the <literal>template1</literal>
-   database.  When you later create a new database, everything in the
-   <literal>template1</literal> database is copied.
-   It contains catalog tables filled in for things like the
-   built-in types.
+   Creating a database cluster consists of creating the directories in
+   which the database data will live, generating the shared catalog
+   tables (tables that belong to the whole cluster rather than to any
+   particular database), and creating the <literal>template1</literal>
+   database. When you later create a new database, everything in the
+   <literal>template1</literal> database is copied. It contains catalog
+   tables containing things like built-in data types.
   </para>
 
   <para>
-   <command>initdb</command> initializes the database cluster's default
-   locale and character set encoding. Some locale categories are fixed
-   for the lifetime of the cluster. There is also a performance impact
-   in using locales other than <literal>C</> or <literal>POSIX</>.
-   Therefore it is important to make the right choice when running
-   <command>initdb</command>. Other locale categories can be changed
-   later when the server is started. <command>initdb</command> will
-   write those locale settings into the
-   <filename>postgresql.conf</filename> configuration file so they are
-   the default, but they can be changed by editing that file. To set the
-   locale that <command>initdb</command> uses, see the description of
-   the <option>--locale</option> option. The character set encoding can
-   be set separately for each database as it is created.
-   <command>initdb</command> determines the encoding for the
-   <literal>template1</literal> database, which will serve as the
-   default for all other databases. To alter the default encoding use
-   the <option>--encoding</option> option.
+   Although <command>initdb</command> will attempt to create the
+   specified data directory, it might not have permission if the parent
+   directory of the desired data directory is root-owned. To initialize
+   in such a setup, create an empty data directory as root, then use
+   <command>chown</command> to assign ownership of that directory to the
+   database user account, then <command>su</command> to become the
+   database user to run <command>initdb</command>.
   </para>
 
   <para>
@@ -83,15 +72,28 @@ PostgreSQL documentation
   </para>
 
   <para>
-   Although <command>initdb</command> will attempt to create the
-   specified data directory, often it won't have permission to do so,
-   since the parent of the desired data directory is often a root-owned
-   directory.  To set up an arrangement like this, create an empty data
-   directory as root, then use <command>chown</command> to hand over
-   ownership of that directory to the database user account, then
-   <command>su</command> to become the database user, and
-   finally run <command>initdb</command> as the database user.
+   <command>initdb</command> initializes the database cluster's default
+   locale and character set encoding. The collation order
+   (<literal>LC_COLLATE</>) and character set classes
+   (<literal>LC_CTYPE</>, e.g. upper, lower, digit) are fixed for all
+   databases and can not be changed. Collation orders other than
+   <literal>C</> or <literal>POSIX</> also have a performance penalty.
+   For these reasons it is important to choose the right locale when
+   running <command>initdb</command>. The remaining locale categories
+   can be changed later when the server is started. All server locale
+   values (<literal>lc_*</>) can be displayed via <command>SHOW ALL</>.
+   More details can be found in <xref linkend="locale">.
   </para>
+
+  <para>
+   The character set encoding can be set separately for a database when
+   it is created. <command>initdb</command> determines the encoding for
+   the <literal>template1</literal> database, which will serve as the
+   default for all other databases. To alter the default encoding use
+   the <option>--encoding</option> option. More details can be found in
+   <xref linkend="multibyte">.
+  </para>
+
  </refsect1>
 
  <refsect1>
diff --git a/doc/src/sgml/ref/lock.sgml b/doc/src/sgml/ref/lock.sgml
index 376c30a..cefbc4c 100644
--- a/doc/src/sgml/ref/lock.sgml
+++ b/doc/src/sgml/ref/lock.sgml
@@ -210,8 +210,8 @@ COMMIT WORK;
 BEGIN WORK;
 LOCK TABLE films IN SHARE ROW EXCLUSIVE MODE;
 DELETE FROM films_user_comments WHERE id IN
-    (SELECT id FROM films WHERE rating < 5);
-DELETE FROM films WHERE rating < 5;
+    (SELECT id FROM films WHERE rating &lt; 5);
+DELETE FROM films WHERE rating &lt; 5;
 COMMIT WORK;
 </programlisting>
   </para>
diff --git a/doc/src/sgml/ref/pg_ctl-ref.sgml b/doc/src/sgml/ref/pg_ctl-ref.sgml
index 803dd4b..09419cb 100644
--- a/doc/src/sgml/ref/pg_ctl-ref.sgml
+++ b/doc/src/sgml/ref/pg_ctl-ref.sgml
@@ -70,6 +70,19 @@ PostgreSQL documentation
    <arg choice="plain">kill</arg>
    <arg><replaceable>signal_name</replaceable></arg>
    <arg><replaceable>process_id</replaceable></arg>
+   <sbr>
+   <command>pg_ctl</command>
+   <arg choice="plain">register</arg>
+   <arg>-N <replaceable>servicename</replaceable></arg>
+   <arg>-U <replaceable>username</replaceable></arg>
+   <arg>-P <replaceable>password</replaceable></arg>
+   <arg>-D <replaceable>datadir</replaceable></arg>
+   <arg>-w</arg>
+   <arg>-o <replaceable>options</replaceable></arg>
+   <sbr>
+   <command>pg_ctl</command>
+   <arg choice="plain">unregister</arg>
+   <arg>-N <replaceable>servicename</replaceable></arg>
   </cmdsynopsis>
  </refsynopsisdiv>
 
@@ -143,6 +156,17 @@ PostgreSQL documentation
     which does not have a <application>kill</> command.  Use 
     <literal>--help</> to see a list of supported signal names.
   </para>
+
+  <para>
+   <option>register</option> mode allows you to register a system service
+   on <productname>Microsoft Windows</>.
+  </para>
+
+  <para>
+   <option>unregister</option> mode allows you to unregister a system service
+   on <productname>Microsoft Windows</>, previously registered with the
+   <option>register</option> command.
+  </para>
  </refsect1>
 
  <refsect1 id="app-pg-ctl-options">
@@ -253,8 +277,44 @@ PostgreSQL documentation
        </para>
       </listitem>
      </varlistentry>
-    </variablelist>
-   </para>
+   </variablelist>
+  </para>
+ </refsect1>
+
+ <refsect1 id="app-pg-ctl-svcoptions">
+  <title>Windows options</title>
+  <para>
+   <variablelist>
+    <varlistentry>
+     <term><option>-N <replaceable class="parameter">servicename</replaceable></option></term>
+     <listitem>
+      <para>
+       Name of the system service to register. The name will be used
+       as both the service name and the display name.
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term><option>-P <replaceable class="parameter">password</replaceable></option></term>
+     <listitem>
+      <para>
+       Password for the user to start the service.
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term><option>-U <replaceable class="parameter">username</replaceable></option></term>
+     <listitem>
+      <para>
+       Username for the user to start the service. For domain users, use the
+       format <literal>DOMAIN\username</literal>.
+      </para>
+     </listitem>
+    </varlistentry>
+   </variablelist>
+  </para>
  </refsect1>
 
 
diff --git a/doc/src/sgml/ref/pg_restore.sgml b/doc/src/sgml/ref/pg_restore.sgml
index f336070..3b823d7 100644
--- a/doc/src/sgml/ref/pg_restore.sgml
+++ b/doc/src/sgml/ref/pg_restore.sgml
@@ -230,8 +230,8 @@
       <term><option>--use-list=<replaceable class="parameter">list-file</replaceable></option></term>
       <listitem>
        <para>
-        Restore elements in <REPLACEABLE
-        CLASS="PARAMETER">list-file</REPLACEABLE> only, and in the
+        Restore elements in <replaceable class="PARAMETER">
+        list-file</replaceable> only, and in the
         order they appear in the file. Lines can be moved and may also
         be commented out by placing a <literal>;</literal> at the
         start of the line.  (See below for examples.)
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index fa29b1d..65924a5 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -348,7 +348,7 @@ PostgreSQL documentation
       <term><option>-u</></term>
       <listitem>
       <para>
-      Makes <application>psql</application> prompt for the user name and
+      Forces <application>psql</application> to prompt for the user name and
       password before connecting to the database.
       </para>
 
@@ -406,21 +406,25 @@ PostgreSQL documentation
       <term><option>--password</></term>
       <listitem>
       <para>
-      Cause <application>psql</application> to prompt for a
-      password before connecting to a database. This will remain set for
-      the entire session, even if you change the database connection
-      with the meta-command <command>\connect</command>.
+      Forces <application>psql</application> to prompt for a
+      password before connecting to a database.  
       </para>
 
       <para>
-      In the current version, <application>psql</application>
-      automatically issues a password prompt whenever the server
-      requests password authentication. Because this is currently based
-      on a hack, the automatic recognition might mysteriously fail,
-      hence this option to force a prompt. If no password prompt is
-      issued and the server requires password authentication, the
-      connection attempt will fail.
+      <application>psql</application> should automatically prompt for a
+      password whenever the server requests password authentication.
+      However, currently password request detection is not totally
+      reliable, hence this option to force a prompt. If no password
+      prompt is issued and the server requires password authentication,
+      the connection attempt will fail.
       </para>
+
+      <para>
+      This option will remain set for the entire session, even if you
+      change the database connection with the meta-command
+      <command>\connect</command>.
+      </para>
+
       </listitem>
     </varlistentry>
 
@@ -508,7 +512,10 @@ PostgreSQL documentation
     some typing by setting the environment variables
     <envar>PGDATABASE</envar>, <envar>PGHOST</envar>,
     <envar>PGPORT</envar> and/or <envar>PGUSER</envar> to appropriate
-    values.
+    values. (For additional environment variables, see <xref
+    linkend="libpq-envars">.) It is also convenient to have a
+    <filename>~/.pgpass</> file to avoid regularly having to type in
+    passwords. See <xref linkend="libpq-pgpass"> for more information.
     </para>
 
     <para>
@@ -536,7 +543,7 @@ Type:  \copyright for distribution terms
        \g or terminate with semicolon to execute query
        \q to quit
 
-testdb=>
+testdb=&gt;
 </programlisting>
     </para>
 
@@ -881,7 +888,7 @@ testdb=>
         types, relations (tables, views, indexes, sequences, large
         objects), rules, and triggers.) For example:
 <programlisting>
-=> <userinput>\dd version</userinput>
+=&gt; <userinput>\dd version</userinput>
                      Object descriptions
    Schema   |  Name   |  Object  |        Description
 ------------+---------+----------+---------------------------
@@ -1107,7 +1114,7 @@ testdb=>
         space and followed by a newline. This can be useful to
         intersperse information in the output of scripts. For example:
 <programlisting>
-=> <userinput>\echo `date`</userinput>
+=&gt; <userinput>\echo `date`</userinput>
 Tue Oct 26 21:40:57 CEST 1999
 </programlisting>
         If the first argument is an unquoted <literal>-n</literal> the trailing
@@ -1271,7 +1278,7 @@ Tue Oct 26 21:40:57 CEST 1999
         large object. Optionally, it associates the given
         comment with the object. Example:
 <programlisting>
-foo=> <userinput>\lo_import '/home/peter/pictures/photo.xcf' 'a picture of me'</userinput>
+foo=&gt; <userinput>\lo_import '/home/peter/pictures/photo.xcf' 'a picture of me'</userinput>
 lo_import 152801
 </programlisting>
         The response indicates that the large object received object ID
@@ -1817,14 +1824,14 @@ lo_import 152801
     <application>psql</application> meta-command
     <command>\set</command>:
 <programlisting>
-testdb=> <userinput>\set foo bar</userinput>
+testdb=&gt; <userinput>\set foo bar</userinput>
 </programlisting>
     sets the variable <literal>foo</literal> to the value
     <literal>bar</literal>. To retrieve the content of the variable, precede
     the name with a colon and use it as the argument of any slash
     command:
 <programlisting>
-testdb=> <userinput>\echo :foo</userinput>
+testdb=&gt; <userinput>\echo :foo</userinput>
 bar
 </programlisting>
     </para>
@@ -2154,8 +2161,8 @@ bar
     this is again to prepend the variable name with a colon
     (<literal>:</literal>).
 <programlisting>
-testdb=> <userinput>\set foo 'my_table'</userinput>
-testdb=> <userinput>SELECT * FROM :foo;</userinput>
+testdb=&gt; <userinput>\set foo 'my_table'</userinput>
+testdb=&gt; <userinput>SELECT * FROM :foo;</userinput>
 </programlisting>
     would then query the table <literal>my_table</literal>. The value of
     the variable is copied literally, so it can even contain unbalanced
@@ -2171,19 +2178,19 @@ testdb=> <userinput>SELECT * FROM :foo;</userinput>
     copy the contents of a file into a table column. First load the file into a
     variable and then proceed as above.
 <programlisting>
-testdb=> <userinput>\set content '\'' `cat my_file.txt` '\''</userinput>
-testdb=> <userinput>INSERT INTO my_table VALUES (:content);</userinput>
+testdb=&gt; <userinput>\set content '\'' `cat my_file.txt` '\''</userinput>
+testdb=&gt; <userinput>INSERT INTO my_table VALUES (:content);</userinput>
 </programlisting>
     One possible problem with this approach is that <filename>my_file.txt</filename>
     might contain single quotes. These need to be escaped so that
     they don't cause a syntax error when the second line is processed. This
     could be done with the program <command>sed</command>:
 <programlisting>
-testdb=> <userinput>\set content '\'' `sed -e "s/'/\\\\\\'/g" < my_file.txt` '\''</userinput>
+testdb=&gt; <userinput>\set content '\'' `sed -e "s/'/\\\\\\'/g" &lt; my_file.txt` '\''</userinput>
 </programlisting>
     Observe the correct number of backslashes (6)! It works
     this way: After <application>psql</application> has parsed this
-    line, it passes <literal>sed -e "s/'/\\\'/g" < my_file.txt</literal>
+    line, it passes <literal>sed -e "s/'/\\\'/g" &lt; my_file.txt</literal>
     to the shell. The shell will do its own thing inside the double
     quotes and execute <command>sed</command> with the arguments
     <literal>-e</literal> and <literal>s/'/\\'/g</literal>. When
@@ -2243,8 +2250,8 @@ testdb=> <userinput>\set content '\'' `sed -e "s/'/\\\\\\'/g" < my_file.txt` '\'
           The full host name (with domain name) of the database server,
           or <literal>[local]</literal> if the connection is over a Unix
           domain socket, or
-          <literal>[local:<replaceable>/dir/name</replaceable>]</literal
-          >, if the Unix domain socket is not at the compiled in default
+          <literal>[local:<replaceable>/dir/name</replaceable>]</literal>, 
+          if the Unix domain socket is not at the compiled in default
           location.
         </para>
        </listitem>
@@ -2384,7 +2391,7 @@ testdb=> <userinput>\set content '\'' `sed -e "s/'/\\\\\\'/g" < my_file.txt` '\'
          <literal>%]</literal>. Multiple pairs of these may occur within
          the prompt.  For example,
 <programlisting>
-testdb=> \set PROMPT1 '%[%033[1;33;40m%]%n@%/%R%[%033[0m%#%] '
+testdb=&gt; \set PROMPT1 '%[%033[1;33;40m%]%n@%/%R%[%033[0m%#%] '
 </programlisting>
          results in a boldfaced (<literal>1;</literal>) yellow-on-black
          (<literal>33;40</literal>) prompt on VT100-compatible, color-capable
@@ -2460,7 +2467,7 @@ $endif
 
     <listitem>
      <para>
-      Default database to connect to
+      Default connection database
      </para>
     </listitem>
    </varlistentry>
@@ -2569,7 +2576,7 @@ $endif
       discouraged.  If you get strange messages, keep this in mind.
       For example
 <programlisting>
-testdb=> <userinput>\foo</userinput>
+testdb=&gt; <userinput>\foo</userinput>
 Field separator is "oo".
 </programlisting>
       which is perhaps not what one would expect.
@@ -2631,15 +2638,15 @@ Field separator is "oo".
   The first example shows how to spread a command over several lines of
   input. Notice the changing prompt:
 <programlisting>
-testdb=> <userinput>CREATE TABLE my_table (</userinput>
-testdb(> <userinput> first integer not null default 0,</userinput>
-testdb(> <userinput> second text)</userinput>
-testdb-> <userinput>;</userinput>
+testdb=&gt; <userinput>CREATE TABLE my_table (</userinput>
+testdb(&gt; <userinput> first integer not null default 0,</userinput>
+testdb(&gt; <userinput> second text)</userinput>
+testdb-&gt; <userinput>;</userinput>
 CREATE TABLE
 </programlisting>
   Now look at the table definition again:
 <programlisting>
-testdb=> <userinput>\d my_table</userinput>
+testdb=&gt; <userinput>\d my_table</userinput>
              Table "my_table"
  Attribute |  Type   |      Modifier
 -----------+---------+--------------------
@@ -2649,13 +2656,13 @@ testdb=> <userinput>\d my_table</userinput>
 </programlisting>
   Now we change the prompt to something more interesting:
 <programlisting>
-testdb=> <userinput>\set PROMPT1 '%n@%m %~%R%# '</userinput>
-peter@localhost testdb=>
+testdb=&gt; <userinput>\set PROMPT1 '%n@%m %~%R%# '</userinput>
+peter@localhost testdb=&gt;
 </programlisting>
   Let's assume you have filled the table with data and want to take a
   look at it:
 <programlisting>
-peter@localhost testdb=> SELECT * FROM my_table;
+peter@localhost testdb=&gt; SELECT * FROM my_table;
  first | second
 -------+--------
      1 | one
@@ -2668,9 +2675,9 @@ peter@localhost testdb=> SELECT * FROM my_table;
   You can display tables in different ways by using the
   <command>\pset</command> command:
 <programlisting>
-peter@localhost testdb=> <userinput>\pset border 2</userinput>
+peter@localhost testdb=&gt; <userinput>\pset border 2</userinput>
 Border style is 2.
-peter@localhost testdb=> <userinput>SELECT * FROM my_table;</userinput>
+peter@localhost testdb=&gt; <userinput>SELECT * FROM my_table;</userinput>
 +-------+--------+
 | first | second |
 +-------+--------+
@@ -2681,9 +2688,9 @@ peter@localhost testdb=> <userinput>SELECT * FROM my_table;</userinput>
 +-------+--------+
 (4 rows)
 
-peter@localhost testdb=> <userinput>\pset border 0</userinput>
+peter@localhost testdb=&gt; <userinput>\pset border 0</userinput>
 Border style is 0.
-peter@localhost testdb=> <userinput>SELECT * FROM my_table;</userinput>
+peter@localhost testdb=&gt; <userinput>SELECT * FROM my_table;</userinput>
 first second
 ----- ------
     1 one
@@ -2692,15 +2699,15 @@ first second
     4 four
 (4 rows)
 
-peter@localhost testdb=> <userinput>\pset border 1</userinput>
+peter@localhost testdb=&gt; <userinput>\pset border 1</userinput>
 Border style is 1.
-peter@localhost testdb=> <userinput>\pset format unaligned</userinput>
+peter@localhost testdb=&gt; <userinput>\pset format unaligned</userinput>
 Output format is unaligned.
-peter@localhost testdb=> <userinput>\pset fieldsep ","</userinput>
+peter@localhost testdb=&gt; <userinput>\pset fieldsep ","</userinput>
 Field separator is ",".
-peter@localhost testdb=> <userinput>\pset tuples_only</userinput>
+peter@localhost testdb=&gt; <userinput>\pset tuples_only</userinput>
 Showing only tuples.
-peter@localhost testdb=> <userinput>SELECT second, first FROM my_table;</userinput>
+peter@localhost testdb=&gt; <userinput>SELECT second, first FROM my_table;</userinput>
 one,1
 two,2
 three,3
@@ -2708,11 +2715,11 @@ four,4
 </programlisting>
   Alternatively, use the short commands:
 <programlisting>
-peter@localhost testdb=> <userinput>\a \t \x</userinput>
+peter@localhost testdb=&gt; <userinput>\a \t \x</userinput>
 Output format is aligned.
 Tuples only is off.
 Expanded display is on.
-peter@localhost testdb=> <userinput>SELECT * FROM my_table;</userinput>
+peter@localhost testdb=&gt; <userinput>SELECT * FROM my_table;</userinput>
 -[ RECORD 1 ]-
 first  | 1
 second | one
diff --git a/doc/src/sgml/ref/reindex.sgml b/doc/src/sgml/ref/reindex.sgml
index f976171..b48bbdd 100644
--- a/doc/src/sgml/ref/reindex.sgml
+++ b/doc/src/sgml/ref/reindex.sgml
@@ -234,8 +234,8 @@ REINDEX INDEX my_index;
 $ <userinput>export PGOPTIONS="-P"</userinput>
 $ <userinput>psql broken_db</userinput>
 ...
-broken_db=> REINDEX DATABASE broken_db;
-broken_db=> \q
+broken_db=&gt; REINDEX DATABASE broken_db;
+broken_db=&gt; \q
 </programlisting>
   </para>
  </refsect1>
diff --git a/doc/src/sgml/ref/rollback_to.sgml b/doc/src/sgml/ref/rollback_to.sgml
index c938c52..7c60da5 100644
--- a/doc/src/sgml/ref/rollback_to.sgml
+++ b/doc/src/sgml/ref/rollback_to.sgml
@@ -74,11 +74,13 @@ ROLLBACK [ WORK | TRANSACTION ] TO [ SAVEPOINT ] <replaceable>savepoint_name</re
 
   <para>
    Cursors have somewhat non-transactional behavior with respect to
-   savepoints.  Any cursor that is opened inside the savepoint is not closed
-   when the savepoint is rolled back.  If a cursor is affected by a
+   savepoints.  Any cursor that is opened inside a savepoint will be closed
+   when the savepoint is rolled back.  If a previously opened cursor is
+   affected by a 
    <command>FETCH</> command inside a savepoint that is later rolled
    back, the cursor position remains at the position that <command>FETCH</>
    left it pointing to (that is, <command>FETCH</> is not rolled back).
+   Closing a cursor is not undone by rolling back, either.
    A cursor whose execution causes a transaction to abort is put in a
    can't-execute state, so while the transaction can be restored using
    <command>ROLLBACK TO SAVEPOINT</>, the cursor can no longer be used.
diff --git a/doc/src/sgml/ref/truncate.sgml b/doc/src/sgml/ref/truncate.sgml
index be42b8f..ca1b5a7 100644
--- a/doc/src/sgml/ref/truncate.sgml
+++ b/doc/src/sgml/ref/truncate.sgml
@@ -54,6 +54,10 @@ TRUNCATE [ TABLE ] <replaceable class="PARAMETER">name</replaceable>
   <title>Notes</title>
 
   <para>
+   Only the owner of a table may <command>TRUNCATE</> it.
+  </para>
+
+  <para>
    <command>TRUNCATE</> cannot be used if there are foreign-key references
    to the table from other tables.  Checking validity in such cases would
    require table scans, and the whole point is not to do one.
diff --git a/doc/src/sgml/rowtypes.sgml b/doc/src/sgml/rowtypes.sgml
index ff9af79..6104084 100644
--- a/doc/src/sgml/rowtypes.sgml
+++ b/doc/src/sgml/rowtypes.sgml
@@ -75,7 +75,7 @@ SELECT price_extension(item, 10) FROM on_hand;
 CREATE TABLE inventory_item (
     name            text,
     supplier_id     integer REFERENCES suppliers,
-    price           numeric CHECK (price > 0)
+    price           numeric CHECK (price &gt; 0)
 );
 </programlisting>
   then the same <literal>inventory_item</> composite type shown above would
@@ -165,21 +165,21 @@ ROW('', 42, NULL)
   like:
 
 <programlisting>
-SELECT item.name FROM on_hand WHERE item.price > 9.99;
+SELECT item.name FROM on_hand WHERE item.price &gt; 9.99;
 </programlisting>
 
   This will not work since the name <literal>item</> is taken to be a table
   name, not a field name, per SQL syntax rules.  You must write it like this:
 
 <programlisting>
-SELECT (item).name FROM on_hand WHERE (item).price > 9.99;
+SELECT (item).name FROM on_hand WHERE (item).price &gt; 9.99;
 </programlisting>
 
   or if you need to use the table name as well (for instance in a multi-table
   query), like this:
 
 <programlisting>
-SELECT (on_hand.item).name FROM on_hand WHERE (on_hand.item).price > 9.99;
+SELECT (on_hand.item).name FROM on_hand WHERE (on_hand.item).price &gt; 9.99;
 </programlisting>
 
   Now the parenthesized object is correctly interpreted as a reference to
